Get Certificate
Retrieve a certificate using the token and either a certificate ID or UDID. Smart selection applies when querying by UDID
/api/getcertificateRichiesta parametri
Tutti i parametri possono essere passati tramite Query o Body
| Parametro | Tipo | Obbligo | Descrizione |
|---|---|---|---|
token | string | Obbligo | User API token Esempio: your_api_token_here |
id | string | Facoltativo | Certificate ID. Either id or udid is required. If both are provided, id takes priority Esempio: AB12CD34 |
udid | string | Facoltativo | Device UDID. Either id or udid is required. Smart selection applies when querying by UDID Esempio: 00008020-001A2B3C4D5E6F78 |
Risposta
| Parametro | Tipo | Obbligo | Descrizione |
|---|---|---|---|
code | number | Obbligo | Status code: 1=success, 0=failure, 2=no available certificate, 3=certificate expired Esempio: 1 |
msg | string | Obbligo | Response message Esempio: 返回成功 |
time | number | Obbligo | Server timestamp (Unix seconds) Esempio: 1769675945 |
data | object | Obbligo | Response payload |
data.id | string | Obbligo | Certificate ID Esempio: AB12CD34 |
data.pname | string | Obbligo | Project name Esempio: MyApp |
data.addtime | number | Obbligo | Added time (Unix timestamp) Esempio: 1706500000 |
data.pool | number | Obbligo | Pool: 0=public, 1=private Esempio: 0 |
data.type | number | Obbligo | Pool type: 0=public, 1=private Esempio: 0 |
data.mobileprovision | string | Obbligo | Base64-encoded mobileprovision Esempio: MIIPhgYJKoZIhvcNAQcCoII...(Base64) |
data.p12 | string | Obbligo | Base64-encoded P12 certificate Esempio: MIINDgIBAzCCDMsGCSqGSIb3DQEHAa...(Base64) |
data.state | boolean | Obbligo | Certificate validity: true=valid, false=revoked Esempio: true |
data.warranty | boolean | Obbligo | Whether warranty is active Esempio: true |
data.warranty_time | number | Obbligo | Warranty expiration time (Unix timestamp) Esempio: 1738000000 |
data.shtype | number | Obbligo | Warranty type: 0/1/2/3/4/6 Esempio: 1 |
ysucc | string | Obbligo | Success flag, returns "Ysucc" on success Esempio: Ysucc |
Codici di errore
000Lingua di risposta
Personalizza il linguaggio di risposta API con l'intestazione X-Lang. Gli esempi di codice qui sotto utilizzano automaticamente la lingua del tuo sito corrente.
X-Lang: itzh, en, zh-TW, vi, ar, es, ruAccetta-Language è anche supportato; X-Lang prende la priorità.
Esempi di codice
curl -X GET "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/getcertificate?token=your_api_token_here&id=AB12CD34&udid=00008020-001A2B3C4D5E6F78" \
-H "X-Lang: it"Note
- 支持 GET 和 POST 请求
- 参数通过 Query 或 x-www-form-urlencoded 传递
- id 和 udid 二选一,同时提供时优先使用 id
- 通过 UDID 查询时智能选择最佳证书:优先返回正常状态,其次返回掉签但未禁用的证书
- state=false 表示证书已掉签,但仍可下载使用(可能无法安装应用)
- warranty_time 为售后到期时间,到期后如掉签需要重新买
Provalo in Console
Compila i parametri qui sotto e invia una richiesta al test. Le richieste vanno solo all'API di questo sito; l'URL è bloccato e non può essere modificato e il cookie di login corrente è incluso.
https://testypro.iwai.cc/api/getcertificate?token=your_api_token_here&id=AB12CD34&udid=00008020-001A2B3C4D5E6F78Bloccato a questo sitoUser API token
Certificate ID. Either id or udid is required. If both are provided, id takes priority
Device UDID. Either id or udid is required. Smart selection applies when querying by UDID